krogoth + php-fpm: wrong libmysqlclient?[SOLVED]

Moderators: Oren.R, Eran.M, fradensky

Jascha.K
Posts: 10
Joined: Tue Oct 04, 2016 7:01 am

krogoth + php-fpm: wrong libmysqlclient?[SOLVED]

Postby Jascha.K » Thu Nov 17, 2016 7:04 am

I'm trying to build core-image-minimal (build-fb) with php-fpm included. It gets build and deployed to the image. But when I'm trying to start 'systemctl start php-fpm' it doesn't work. I get the following error:

'symbol mysql_server_init, version libmysqlclient_16 not defined in file libmysqlclient.so.18 with link time reference'

I think libmysqlclient_18 gets build and php-fpm assumes libmysqlclient_16. How do I fix that?

€dit: It's a known bug in krogoth/binutils: http://lists.openembedded.org/pipermail ... 26123.html

Is there a way to fix that?
Last edited by Jascha.K on Wed Nov 23, 2016 6:11 am, edited 2 times in total.

Eran.M
Posts: 140
Joined: Tue Jan 26, 2016 10:49 am

Re: krogoth + php-fpm: wrong libmysqlclient?

Postby Eran.M » Sun Nov 20, 2016 7:56 am

The link you gave also has the fix :)
We'll examine it and add it to our build. Until we do, you can use it on your own.

Jascha.K
Posts: 10
Joined: Tue Oct 04, 2016 7:01 am

Re: krogoth + php-fpm: wrong libmysqlclient?

Postby Jascha.K » Tue Nov 22, 2016 2:02 pm

I did so much research that day, I must've been blind. Please excuse that :D But I'm thankful that you'll add the fix to your krogoth build. :)

€dit: Tried it out, works as it should. :)

fradensky
Posts: 41
Joined: Sun Nov 13, 2016 7:55 am

Re: krogoth + php-fpm: wrong libmysqlclient?[SOLVED]

Postby fradensky » Wed Nov 23, 2016 1:31 pm

The fix was added to meta-variscite-mx6.


Return to “Yocto”

Who is online

Users browsing this forum: No registered users and 2 guests